Apache Ambari < 2.7.8 XXE注入漏洞

来源: 投稿
2024-02-29 10:43:00

漏洞描述

Apache Ambari 是一个用于配置、管理和监控 Apache Hadoop 集群的工具。

Apache Ambari <2.7.8中存在XXE注入漏洞,由于DocumentBuilderFactory实例在解析XML文档时未正确配置以禁用外部实体,未验证用户输入。低权限攻击者可以通过提交恶意XML文档来读取服务器上的任意文件以及提升权限等操作。

漏洞名称 Apache Ambari < 2.7.8 XXE注入漏洞
漏洞类型 XXE
发现时间 2024-02-28
漏洞影响广度
MPS编号 MPS-2950-d3zu
CVE编号 CVE-2023-50380
CNVD编号 -

影响范围

ambari@[2.7.0, 2.7.8)

修复方案

将 ambari 升级至 2.7.8 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-2950-d3zu

https://nvd.nist.gov/vuln/detail/CVE-2023-50380

 

 

Commit

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部